### Property

# WebKit Settings:media-playback-requires-user-gesture

#### Declaration

    property media-playback-requires-user-gesture: gboolean [ read, write, construct ]

#### Description [src]

Whether a user gesture (such as clicking the play button) would be required to start media playback or load media. This is off by default, so media playback could start automatically. Setting it on requires a gesture by the user to start playback, or to load the media.

Type: | `gboolean`

Setter method | `webkit_settings_set_media_playback_requires_user_gesture()`
Getter method | `webkit_settings_get_media_playback_requires_user_gesture()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no